Get a lesson plan tree structure by its ID
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/lessonPlans/tree/{lessonPlanId}/structure \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/powerpath/lessonPlans/tree/{lessonPlanId}/structure"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/powerpath/lessonPlans/tree/{lessonPlanId}/structure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lessonPlan": {
"lessonPlan": {
"id": "<string>",
"courseId": "<string>",
"courseTitle": "<string>",
"structure": [
{
"title": "<string>",
"order": "<string>",
"skipped": true,
"itemId": "<string>",
"componentResourceId": "<string>",
"componentId": "<string>",
"componentResources": "<array>",
"subComponents": "<array>"
}
]
}
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}Lesson Plans
Get a lesson plan tree structure by its ID
Purpose: Get a simplified structure for inspection and debugging.
When to use:
- For administractive tools and debugging
- When you need to see the internal lesson plan structure without the full metadata
What it does:
- Returns a lightweight view of the lesson plan structure
- Shows both skipped and non-skipped items
- Includes order information and component/resource IDs (alos includes item ids but these should’n be relied on since they are not stable)
- Useful for understanding the current state
GET
/
powerpath
/
lessonPlans
/
tree
/
{lessonPlanId}
/
structure
Get a lesson plan tree structure by its ID
⌘I